For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Change the specified fields with the provided values.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
bank_account_idstringRequired
Headers
x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.
Request
This endpoint expects an object.
account_holder_namestringOptional
The name of the person or business that owns this bank account. If the account currency is GBP or USD, the holder name cannot be changed to an empty string.
display_namestringOptional
User-defined name of this bank account, such as ‘Primary account’ or ‘Savings account’.
Response
Successful Response
idstringformat: "uuid"
Unique ID of the bank account.
open_banking_verification_statusenum
Open banking verification status
account_holder_namestringOptional
The name of the person or business that owns this bank account. Required in the following cases:
the account currency is GBP or USD,
the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.
account_numberstringOptional
The bank account number. Required if the account currency is GBP or USD. UK account numbers typically contain 8 digits. US bank account numbers contain 9 to 12 digits.
account_number_last4stringOptional
The last 4 digits of the bank account number.
bank_namestringOptional
The bank name.
bicstringOptional
The SWIFT/BIC code of the bank.
countryenumOptional
The country in which the bank account is registered, repsesented as a two-letter country code (ISO 3166-1 alpha-2).
currencyenumOptional
The currency of the bank account, represented as a three-letter ISO currency code.
display_namestringOptional
User-defined name of this bank account, such as ‘Primary account’ or ‘Savings account’.
ibanstringOptional
The IBAN of the bank account. Required if the account currency is EUR.
is_default_for_currencybooleanOptionalDefaults to false
Indicates whether this bank account is the default one for its currency.
open_banking_verification_errorstringOptional
Last verification error message
routing_numberstringOptional
The bank’s routing transit number (RTN). Required if the account currency is USD. US routing numbers consist of 9 digits.
sort_codestringOptional
The bank's sort code. Required if the account currency is GBP.